## dbus 1.4.14

=== cmake/CMakeLists.txt ===
project(dbus)

#########################################################################
# detect version
#########################################################################
file (READ ../configure.ac configure_ac)
string (REGEX REPLACE ".*dbus_major_version], .([0-9]+).*" "\\1" DBUS_MAJOR_VERSION ${configure_ac})
string (REGEX REPLACE ".*dbus_minor_version], .([0-9]+).*" "\\1" DBUS_MINOR_VERSION ${configure_ac})
string (REGEX REPLACE ".*dbus_micro_version], .([0-9]+).*" "\\1" DBUS_MICRO_VERSION ${configure_ac})
# used by file version info
set (DBUS_PATCH_VERSION "0")
set (DBUS_VERSION ${DBUS_MAJOR_VERSION}.${DBUS_MINOR_VERSION}.${DBUS_MICRO_VERSION})

set (DBUS_VERSION_STRING "${DBUS_VERSION}")

if (NOT DBUS_BUILD_TIMESTAMP)
    message(STATUS "FIXME set DBUS_BUILD_TIMESTAMP to current date or fix current time stamp generation for having actual build date in version file info")
    set (DBUS_BUILD_TIMESTAMP 20091231)
endif (NOT DBUS_BUILD_TIMESTAMP)

# we need to be up to date
CMAKE_MINIMUM_REQUIRED(VERSION 2.4.4 FATAL_ERROR)
if(COMMAND cmake_policy)
    cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/modules")

########### basic vars ###############


if (DBUSDIR)
	set(DBUS_INSTALL_DIR "${DBUSDIR}")
endif (DBUSDIR)
if ($ENV{DBUSDIR})
	set(DBUS_INSTALL_DIR "$ENV{DBUSDIR}")
endif ($ENV{DBUSDIR})

if (DBUS_INSTALL_DIR)
	set(CMAKE_INSTALL_PREFIX "${DBUS_INSTALL_DIR}" CACHE TYPE PATH FORCE)
else (DBUS_INSTALL_DIR)
	set(DBUS_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}")
endif (DBUS_INSTALL_DIR)

# autotools style
if (NOT DATAROOTDIR)
    set (DATAROOTDIR share)
endif()

if (NOT DATADIR)
    set (DATADIR ${DATAROOTDIR})
endif()

if (NOT DOCDIR)
    SET(DOCDIR ${DATAROOTDIR}/doc/dbus)
endif()

if (NOT DBUS_DATADIR)
    SET(DBUS_DATADIR ${DATADIR})
endif()

set(prefix                   ${DBUS_INSTALL_DIR})
set(exec_prefix              ${prefix})
set(EXPANDED_LIBDIR          ${DBUS_INSTALL_DIR}/lib)
set(EXPANDED_INCLUDEDIR      ${DBUS_INSTALL_DIR}/include)
set(EXPANDED_BINDIR          ${DBUS_INSTALL_DIR}/bin)
set(EXPANDED_SYSCONFDIR      ${DBUS_INSTALL_DIR}/etc)
set(EXPANDED_DATADIR         ${DBUS_INSTALL_DIR}/${DBUS_DATADIR})
set(DBUS_MACHINE_UUID_FILE   ${DBUS_INSTALL_DIR}/lib/dbus/machine-id)
set(DBUS_BINDIR              ${EXPANDED_BINDIR})
set(DBUS_DAEMONDIR 			 ${EXPANDED_BINDIR})


#enable building of shared library
SET(BUILD_SHARED_LIBS ON)

if (CYGWIN)
   set (WIN32)
endif (CYGWIN)

# search for required packages
if (WIN32)
    # include local header first to avoid using old installed header
    set (CMAKE_INCLUDE_PATH ${CMAKE_INCLUDE_PATH} ${CMAKE_SOURCE_DIR}/..)
	find_package(LibIconv)
    include(Win32Macros)
    addExplorerWrapper(${CMAKE_PROJECT_NAME})
endif (WIN32)
find_package(LibXml2)
find_package(LibExpat)
find_package(X11)

if(NOT WIN32)
	OPTION(DBUS_ENABLE_ABSTRACT_SOCKETS "enable support for abstract sockets" ON)
endif(NOT WIN32)

#AC_ARG_ENABLE(asserts, AS_HELP_STRING([--enable-asserts],[include assertion checks]),enable_asserts=$enableval,enable_asserts=$USE_MAINTAINER_MODE)
OPTION(DBUS_DISABLE_ASSERTS "Disable assertion checking" OFF)

option (DBUS_ENABLE_STATS "enable bus daemon usage statistics" OFF)

# do config checks
INCLUDE(ConfigureChecks.cmake)

# @TODO: how to remove last dir from ${CMAKE_SOURCE_DIR} ?
SET(DBUS_SOURCE_DIR ${CMAKE_SOURCE_DIR}/..)

# make some more macros available
include (MacroLibrary)

if(VCS)
	set(DBUS_VERBOSE_C_S 1 CACHE TYPE STRING FORCE)
	set(DBUS_VERBOSE_C_S 1)
endif(VCS)

if(WIN32)
	set(CMAKE_DEBUG_POSTFIX "d")
	if(MSVC)
		# controll folders in msvc projects
		include(ProjectSourceGroup)
		if(NOT GROUP_CODE)
			#set(GROUP_CODE split) #cmake default
			set(GROUP_CODE flat)
		endif(NOT GROUP_CODE)
		ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE)


		# Use the highest warning level
		if (WALL)
			set(WALL 1 CACHE TYPE STRING FORCE)
			set(CMAKE_CXX_WARNING_LEVEL 4 CACHE TYPE STRING FORCE)

			if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
				STRING(REGEX REPLACE "/W[0-4]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
			else(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
				SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
			endif(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")

			if(CMAKE_C_FLAGS MATCHES "/W[0-4]")
				STRING(REGEX REPLACE "/W[0-4]" "/W4" CMAKE_C_FLAGS "${CMAKE_C_FLAGS}")
			else(CMAKE_C_FLAGS MATCHES "/W[0-4]")
				SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /W4")
			endif(CMAKE_C_FLAGS MATCHES "/W[0-4]")
		else (WALL)
			set(CMAKE_CXX_WARNING_LEVEL 3 CACHE TYPE STRING FORCE)
		endif (WALL)

		SET(MSVC_W_ERROR   " /we4028 /we4013 /we4133 /we4047 /we4031 /we4002 /we4003 /we4114")
		SET(MSVC_W_DISABLE " /wd4127 /wd4090 /wd4101 /wd4244")

		SET(CMAKE_C_FLAGS_DEBUG   "${CMAKE_C_FLAGS_DEBUG}   /FIconfig.h ${MSVC_W_ERROR} ${MSVC_W_DISABLE}")
		SET(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /FIconfig.h ${MSVC_W_ERROR} ${MSVC_W_DISABLE}")
	endif(MSVC)
endif(WIN32)

if (UNIX AND NOT DBUS_DISABLE_ASSERTS)
	# required for backtrace
	SET(CMAKE_C_FLAGS_DEBUG   "${CMAKE_C_FLAGS_DEBUG}   -Wl,--export-dynamic")
	SET(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -Wl,--export-dynamic")
	add_definitions(-DDBUS_BUILT_R_DYNAMIC)
endif (UNIX AND NOT DBUS_DISABLE_ASSERTS)

SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG}  -D_DEBUG")

#########################################################################
# Windows CE (>= 5.0.0)
#
# WinCE support now relies on the presence of platform files, found in cmake/modules/platform
# Cmake 2.8.0 doesn't include WinCE platform files by default, but working ones can be found
# on CMake's bugtracker :
# http://public.kitware.com/Bug/view.php?id=7919
#
# for cmake 2.8.0 get the following patch only :
# http://public.kitware.com/Bug/file_download.php?file_id=2944&type=bug
#
# after applying the patch, you can enable the WinCE build by specifying :
# cmake [...] -DCMAKE_SYSTEM_NAME=WinCE -DCMAKE_SYSTEM_VERSION=X.XX
# (where X.XX is your actual WinCE version, e.g. 5.02 for Windows Mobile 6)
#
# Note that you should have a proper cross-compilation environment set up prior to running
# cmake, ie. the PATH, INCLUDE and LIB env vars pointing to your CE SDK/toolchain.
#
if(WINCE)

MESSAGE("Building for WinCE (${CMAKE_SYSTEM_VERSION})")

endif(WINCE)
#########################################################################


ENABLE_TESTING()

#########################################################################
# Disallow in-source build
#macro_ensure_out_of_source_build("dbus requires an out of source build. Please create a separate build directory and run 'cmake path_to_dbus [options]' there.")

# ... and warn in case of an earlier in-source build
#set(generatedFileInSourceDir EXISTS ${dbus_SOURCE_DIR}/config.h)
#if(${generatedFileInSourceDir})
#   message(STATUS "config.h exists in your source directory.")
#endif(${generatedFileInSourceDir})
#########################################################################

if (WIN32 OR CYGWIN)
	set (LIBRARY_OUTPUT_PATH  ${CMAKE_BINARY_DIR}/bin)
else (WIN32 OR CYGWIN)
	set (LIBRARY_OUTPUT_PATH  ${CMAKE_BINARY_DIR}/lib)
endif (WIN32 OR CYGWIN)

set (EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)

# for including config.h and for includes like <dir/foo.h>
include_directories( ${CMAKE_SOURCE_DIR}/.. ${CMAKE_BINARY_DIR} ${CMAKE_INCLUDE_PATH} )

# linker search directories
link_directories(${DBUS_LIB_DIR} ${LIBRARY_OUTPUT_PATH} )
include_directories( ${CMAKE_LIBRARY_PATH}  )

set(DBUS_INCLUDES)

ENABLE_TESTING()

########### command line options ###############
# TODO: take check from configure.in

#AC_ARG_ENABLE(tests, AS_HELP_STRING([--enable-tests],[enable unit test code]),enable_tests=$enableval,enable_tests=$USE_MAINTAINER_MODE)
OPTION(DBUS_BUILD_TESTS "enable unit test code" ON)
 
if(DBUS_BUILD_TESTS)
    add_definitions(-DDBUS_BUILD_TESTS -DDBUS_ENABLE_EMBEDDED_TESTS)
endif(DBUS_BUILD_TESTS)

OPTION(DBUS_USE_OUTPUT_DEBUG_STRING "enable win32 debug port for message output" OFF)
if(DBUS_USE_OUTPUT_DEBUG_STRING)
    add_definitions(-DDBUS_USE_OUTPUT_DEBUG_STRING)
endif(DBUS_USE_OUTPUT_DEBUG_STRING)

if(WIN32)
	# win32 dbus service support - this support is not complete
	OPTION(DBUS_SERVICE "enable dbus service installer" OFF)
endif(WIN32)

#AC_ARG_ENABLE(ansi, AS_HELP_STRING([--enable-ansi],[enable -ansi -pedantic gcc flags]),enable_ansi=$enableval,enable_ansi=no)
OPTION(DBUS_ENABLE_ANSI "enable -ansi -pedantic gcc flags" OFF)
if(DBUS_ENABLE_ANSI)
   if(NOT MSVC)
        add_definitions(-ansi -D_POSIX_C_SOURCE=199309L -D_BSD_SOURCE -pedantic)
   else(NOT MSVC)
        add_definitions(-Za -D_POSIX_C_SOURCE=199309L -D_BSD_SOURCE -W4)
   endif(NOT MSVC)
endif(DBUS_ENABLE_ANSI)

#AC_ARG_ENABLE(verbose-mode, AS_HELP_STRING([--enable-verbose-mode],[support verbose debug mode]),enable_verbose_mode=$enableval,enable_verbose_mode=$USE_MAINTAINER_MODE)
OPTION(DBUS_ENABLE_VERBOSE_MODE "support verbose debug mode" ON)

#AC_ARG_ENABLE(checks, AS_HELP_STRING([--enable-checks],[include sanity checks on public API]),enable_checks=$enableval,enable_checks=yes)
OPTION(DBUS_DISABLE_CHECKS "Disable public API sanity checking" OFF)

if(NOT MSVC)
    #AC_ARG_ENABLE(gcov, AS_HELP_STRING([--enable-gcov],[compile with coverage profiling instrumentation (gcc only)]),enable_gcov=$enableval,enable_gcov=no)
    OPTION(DBUS_GCOV_ENABLED "compile with coverage profiling instrumentation (gcc only)" OFF)
    if(DBUS_GCOV_ENABLED)
            add_definitions(-fprofile-arcs -ftest-coverage)
            # FIXME!!!!
            ## remove optimization
    #        CFLAGS=`echo "$CFLAGS" | sed -e 's/-O[0-9]*//g'`
    endif(DBUS_GCOV_ENABLED)
endif(NOT MSVC)

#AC_ARG_ENABLE(abstract-sockets, AS_HELP_STRING([--enable-abstract-sockets],[use abstract socket namespace (linux only)]),enable_abstract_sockets=$enableval,enable_abstract_sockets=auto)
# -> moved before include(ConfigureChecks.cmake)

#AC_ARG_ENABLE(selinux, AS_HELP_STRING([--enable-selinux],[build with SELinux support]),enable_selinux=$enableval,enable_selinux=auto)
#selinux missing

#AC_ARG_ENABLE(dnotify, AS_HELP_STRING([--enable-dnotify],[build with dnotify support (linux only)]),enable_dnotify=$enableval,enable_dnotify=auto)
if("${CMAKE_SYSTEM_NAME}" STREQUAL "Linux")
    OPTION(DBUS_BUS_ENABLE_DNOTIFY_ON_LINUX "build with dnotify support (linux only)" ON) # add a check !
endif("${CMAKE_SYSTEM_NAME}" STREQUAL "Linux")

#AC_ARG_ENABLE(kqueue, AS_HELP_STRING([--enable-kqueue],[build with kqueue support (FreeBSD only)]),enable_kqueue=$enableval,enable_kqueue=auto)
#missing

#AC_ARG_ENABLE(console-owner-file, AS_HELP_STRING([--enable-console-owner-file],[enable console owner file]),enable_console_owner_file=$enableval,enable_console_owner_file=auto)
STRING(TOUPPER ${CMAKE_SYSTEM_NAME} sysname)
if("${sysname}" MATCHES ".*SOLARIS.*")
    OPTION(HAVE_CONSOLE_OWNER_FILE "enable console owner file (solaris only)" ON)
    if(HAVE_CONSOLE_OWNER_FILE)
        SET(DBUS_CONSOLE_OWNER_FILE "/dev/console" CACHE STRING "Directory to check for console ownerhip")
    endif(HAVE_CONSOLE_OWNER_FILE)
endif("${sysname}" MATCHES ".*SOLARIS.*")

#AC_ARG_WITH(xml, AS_HELP_STRING([--with-xml=[libxml/expat]],[XML library to use]))
if(NOT LIBXML2_FOUND AND NOT LIBEXPAT_FOUND)
    message(FATAL "Neither expat nor libxml2 found!")
endif(NOT LIBXML2_FOUND AND NOT LIBEXPAT_FOUND)

if(LIBEXPAT_FOUND)
    OPTION(DBUS_USE_EXPAT "Use expat (== ON) or libxml2 (==OFF)" ON)
else(LIBEXPAT_FOUND)
    OPTION(DBUS_USE_EXPAT "Use expat (== ON) or libxml2 (==OFF)" OFF)
endif(LIBEXPAT_FOUND)

if(DBUS_USE_EXPAT)
    SET(XML_LIB "Expat")
    SET(XML_LIBRARY     ${LIBEXPAT_LIBRARIES})
    SET(XML_INCLUDE_DIR ${LIBEXPAT_INCLUDE_DIR})
else(DBUS_USE_EXPAT)
    SET(XML_LIB "LibXML2")
    SET(XML_LIBRARY     ${LIBXML2_LIBRARIES})
    SET(XML_INCLUDE_DIR ${LIBXML2_INCLUDE_DIR})
endif(DBUS_USE_EXPAT)

=== cmake/bus/CMakeLists.txt ===
project(bus)

add_definitions(-DDBUS_COMPILATION)

SET(EFENCE "")
SET(BUS_DIR ${CMAKE_SOURCE_DIR}/../bus)

set (config_DATA
	session.conf				
	system.conf
)

# config files for installation 
FOREACH(file ${config_DATA})
	CONFIGURE_FILE( "${CMAKE_CURRENT_SOURCE_DIR}/${file}.cmake" "${CMAKE_CURRENT_BINARY_DIR}/${file}" IMMEDIATE @ONLY)
ENDFOREACH(file)

# copy services for local daemon start to local service dir data/dbus-1/services
SET (SERVICE_FILES test/data/valid-service-files)
FILE(GLOB FILES "${CMAKE_SOURCE_DIR}/../${SERVICE_FILES}/*.service.in" )
FOREACH(FILE ${FILES})	
	GET_FILENAME_COMPONENT(FILENAME ${FILE} NAME_WE)
	SET (TARGET ${CMAKE_BINARY_DIR}/data/dbus-1/services/${FILENAME}.service)
	IF (CONFIG_VERBOSE)
		MESSAGE("FROM: ${FILE}\nTO: ${TARGET}\n")
	ENDIF (CONFIG_VERBOSE)
	configure_file(${FILE} ${TARGET} )
ENDFOREACH(FILE)

if(DBUS_USE_EXPAT)
    SET (XML_SOURCES ${BUS_DIR}/config-loader-expat.c)
else(DBUS_USE_EXPAT)
    SET (XML_SOURCES ${BUS_DIR}/config-loader-libxml.c)
endif (DBUS_USE_EXPAT)

# after next cvs update
#set (DIR_WATCH_SOURCE ${BUS_DIR}/dir-watch-default.c)
set (DIR_WATCH_SOURCE )

set (BUS_SOURCES 
	${BUS_DIR}/activation.c				
	${BUS_DIR}/activation.h				
	${BUS_DIR}/bus.c					
	${BUS_DIR}/bus.h					
	${BUS_DIR}/config-parser.c				
	${BUS_DIR}/config-parser.h
    ${BUS_DIR}/config-parser-common.c
    ${BUS_DIR}/config-parser-common.h
#    ${BUS_DIR}/config-parser-trivial.c
	${BUS_DIR}/connection.c
	${BUS_DIR}/connection.h				
	${BUS_DIR}/desktop-file.c				
	${BUS_DIR}/desktop-file.h				
	${BUS_DIR}/dir-watch-default.c				
	${BUS_DIR}/dir-watch.h				
	${BUS_DIR}/dispatch.c				
	${BUS_DIR}/dispatch.h				
	${BUS_DIR}/driver.c				
	${BUS_DIR}/driver.h				
	${BUS_DIR}/expirelist.c				
	${BUS_DIR}/expirelist.h				
	${BUS_DIR}/policy.c				
	${BUS_DIR}/policy.h				
	${BUS_DIR}/selinux.h				
	${BUS_DIR}/selinux.c				
	${BUS_DIR}/services.c				
	${BUS_DIR}/services.h				
	${BUS_DIR}/signals.c				
	${BUS_DIR}/signals.h				
	${BUS_DIR}/test.c					
	${BUS_DIR}/test.h					
	${BUS_DIR}/utils.c					
	${BUS_DIR}/utils.h					
	${XML_SOURCES}
	${DIR_WATCH_SOURCE}
)
if(DBUS_ENABLE_STATS)
	list(APPEND BUS_SOURCES
		${BUS_DIR}/stats.c
		${BUS_DIR}/stats.h
	)
endif()

include_directories(${XML_INCLUDE_DIR})

add_executable(dbus-daemon ${BUS_SOURCES} ${BUS_DIR}/main.c)
target_link_libraries(dbus-daemon ${DBUS_INTERNAL_LIBRARIES} ${XML_LIBRARY})
set_target_properties(dbus-daemon PROPERTIES OUTPUT_NAME ${DBUS_DAEMON_NAME})
set_target_properties(dbus-daemon PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})

install_targets(/bin dbus-daemon)
install_files(/etc/dbus-1 FILES ${config_DATA})

if (DBUS_SERVICE)
	set (dbus_service_SOURCES 
		${BUS_DIR}/bus-service-win.c
	# TODO: add additional files
	#	${BUS_DIR}/service-main.c
	#	${BUS_SOURCES} 
	)

	add_executable(dbus-service ${dbus_service_SOURCES} )
	target_link_libraries(dbus-service ${DBUS_INTERNAL_LIBRARIES} ${XML_LIBRARY})
	set_target_properties(dbus-service PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})
	install_targets(/bin dbus-service )
endif (DBUS_SERVICE)

if (DBUS_BUILD_TESTS)	
	add_executable(bus-test ${BUS_SOURCES} ${BUS_DIR}/test-main.c)
	target_link_libraries(bus-test ${DBUS_INTERNAL_LIBRARIES} ${XML_LIBRARY})
	set_target_properties(bus-test PROPERTIES COMPILE_FLAGS ${DBUS_INTERNAL_CLIENT_DEFINITIONS})
	add_test(bus-test ${EXECUTABLE_OUTPUT_PATH}/bus-test ${CMAKE_BINARY_DIR}/test/data)
endif (DBUS_BUILD_TESTS)

if(MSVC)
	project_source_group(${GROUP_CODE} bus_test_SOURCES dummy)
endif(MSVC)

## mop up the gcov files
#clean-local:
#	/bin/rm *.bb *.bbg *.da *.gcov || true

#install-data-hook:
#	$(mkinstalldirs) $(DESTDIR)/$(localstatedir)/run/dbus
#	$(mkinstalldirs) $(DESTDIR)/$(configdir)/system.d
#	$(mkinstalldirs) $(DESTDIR)/$(datadir)/dbus-1/services

##install_file(${configdir}/system.d FILE


set(LAUNCH_HELPER_SOURCES ${XML_SOURCES}
    ${BUS_DIR}/config-parser-common.c
    ${BUS_DIR}/config-parser-trivial.c
    ${BUS_DIR}/desktop-file.c
    ${BUS_DIR}/utils.c
    ${BUS_DIR}/activation-helper.c

)

if(NOT WIN32)
# TODO PENDING(kdab) fix build on windows (activation-helper.c)
   add_executable(dbus-daemon-launch-helper ${LAUNCH_HELPER_SOURCES} ${BUS_DIR}/activation-helper-bin.c )
   target_link_libraries(dbus-daemon-launch-helper ${DBUS_INTERNAL_LIBRARIES} ${XML_LIBRARY} )
   
   add_executable(dbus-daemon-launch-helper-test ${LAUNCH_HELPER_SOURCES}     ${BUS_DIR}/activation-helper-bin.c)
   set_target_properties(dbus-daemon-launch-helper-test PROPERTIES COMPILE_FLAGS "-DACTIVATION_LAUNCHER_TEST")
   target_link_libraries(dbus-daemon-launch-helper-test ${DBUS_INTERNAL_LIBRARIES} ${XML_LIBRARY} )
   
   add_executable(bus-test-launch-helper ${LAUNCH_HELPER_SOURCES}  ${BUS_DIR}/test-launch-helper.c)
   set_target_properties(bus-test-launch-helper PROPERTIES COMPILE_FLAGS "-DACTIVATION_LAUNCHER_TEST -DACTIVATION_LAUNCHER_DO_OOM")
   target_link_libraries(bus-test-launch-helper ${DBUS_INTERNAL_LIBRARIES} ${XML_LIBRARY} )
   add_test(bus-test-launch-helper ${EXECUTABLE_OUTPUT_PATH}/bus-test-launch-helper )

endif(NOT WIN32)

#### Init scripts fun
#SCRIPT_IN_FILES=messagebus.in
#		rc.messagebus.in

## Red Hat start
#if DBUS_INIT_SCRIPTS_RED_HAT

#initddir=$(sysconfdir)/rc.d/init.d

#initd_SCRIPTS= 	
#	messagebus

#endif
# ## Red Hat end

## Slackware start
#if DBUS_INIT_SCRIPTS_SLACKWARE

#initddir=$(sysconfdir)/rc.d/

#initd_SCRIPTS= 	
#	rc.messagebus

#endif
## Slackware end

#MAN_IN_FILES=dbus-daemon.1.in
#man_MANS = dbus-daemon.1

#### Extra dist 

#EXTRA_DIST=$(CONFIG_IN_FILES) $(SCRIPT_IN_FILES) $(man_MANS) $(MAN_IN_FILES)

## dbus 0.23.4-9osso5

=== debian/changelog ===
dbus (0.23.4-9osso5) unstable; urgency=low

  * Free some buffers (bug 21872).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 19 Dec 2005 15:17:20 +0200

dbus (0.23.4-9osso1) unstable; urgency=low

  * Increased autoactivation timeout to 32s (bug 21448).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 28 Nov 2005 14:40:12 +0200

dbus (0.23.4-9osso) unstable; urgency=low

  * Added wait-for-memory-fix patch (bug 19154).

 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 27 Sep 2005 19:31:38 +0300

dbus (0.23.4-8osso) unstable; urgency=low

  * Removed the check for maximum pending replies because of reliability
    problems.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 18 Aug 2005 18:25:00 +0300

dbus (0.23.4-7osso) unstable; urgency=low

  * Added patch for dbus_error bug (bug 17085).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 10 Aug 2005 11:21:55 +0300

dbus (0.23.4-6osso) unstable; urgency=low

  * Added patch for the multi activation bug (bug 6407).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 05 Jul 2005 08:18:28 +0300

dbus (0.23.4-5osso) unstable; urgency=low

  * Added dependency to libexpat (bug 14372).
  * Now creating the services directory in postinst.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 14 Jun 2005 13:19:43 +0300

dbus (0.23.4-4osso) unstable; urgency=low

  * Added patch for the new "detail" attribute (bug 14250).
  * Added patch for dbus-monitor to see the detail attribute.
  * Disabled verbose mode (does not prevent stderr output from
    activated programs).
  * Set permissions for the additional services directory (bug 14258).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 13 Jun 2005 09:52:23 +0300

dbus (0.23.4-3osso) unstable; urgency=low

  * Code in the dbus/ directory is now same as in 0.23.1.
    This was done because of the problems and risks involved in big
    code changes between 0.23.1 and 0.23.4 versions. Fixes bug 12143.
    EXCEPTION: dbus_pending_call_steal_reply() was added to 0.23.1
    code in dbus/ directory, so that new code using that does not break.
  * Removed the dbus_pending_call_get_reply patch, since in 0.23.1
    it's not needed.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 19 May 2005 10:26:31 +0300

dbus (0.23.4-2osso) unstable; urgency=low

  * Commented out "readlink" part of dbus-1 init script (bug 11278).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 16 May 2005 19:23:24 +0300

dbus (0.23.4-1osso3) unstable; urgency=low

  * Added dbus_pending_call_get_reply back to the header file
    (bug 11791).
  * Added initgroups() to daemon startup code, and removed dropping
    of supplementary groups (bug 11634).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 13 May 2005 14:33:21 +0300

dbus (0.23.4-1osso2) unstable; urgency=low

  * Forward-ported "speaker fix".
  * Removed dynamically-created test/data/valid-config-files/session.conf

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 04 May 2005 20:26:35 +0300

dbus (0.23.4-1osso1) unstable; urgency=low

  * Added debian/patches/tools.diff back

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 02 May 2005 20:09:41 +0300

dbus (0.23.4-1osso) unstable; urgency=low

  * Added debian/patches/config.diff
  * Added debian/patches/spawn-priority.diff
  * Added debian/patches/no-fork.diff
  * Added debian/patches/dbussend.patch
  * Removed Python dependency and building of Python bindings.
  * Removed all document building.
  * Removed Gtk dependency.
  * Added dsmetool startup in debian/dbus-1.init
  * Added libxcursor-dev dependency
  * Replaced debian/dbus-1.postinst with our version
  * Added "uname -m" check to init script to avoid Scratchbox problem

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 29 Apr 2005 17:43:11 +0300

dbus (0.23.4-1) unstable; urgency=low

  * New upstream release
  * debian/patches/dbus-abi-api.patch
    - Removed, fixed upstream
  * debian/patches/dbus-python-fix.patch
    - Removed, fixed upstream
  * debian/patches/fix-policy-group.patch
    - Stop segfaulting at "<policy group="..."> tags (Closes: #297495)
  * debian/patches/dbus-fixverbose.patch
    - Fix inaccurate messages in the debug output of the uid/gid lookup code
    (Thanks to  Tom Parker) (Closes: #297497)
  * debian/patches/dbus-getpwname.patch
  * Add .la files in the -dev packages (Closes: #297936)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 30 Mar 2005 23:02:00 +0200

dbus (0.23.2-3) unstable; urgency=low

  * debian/patches/dbus-abi-api.patch
    - Fix dbus api and abi breakage between 0.23.1 and 0.23.2 (Closes: #297020) 

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 28 Feb 2005 15:05:19 +0100

dbus (0.23.2-2) unstable; urgency=low

  * debian/patches/dbus-python-fix.patch 
    - Fix python bindings (Based on dbus CVS fix)

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 24 Feb 2005 11:19:03 +0100

dbus (0.23.2-1) unstable; urgency=low

  * New upstream release 

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 23 Feb 2005 12:11:29 +0100

dbus (0.23.1-1) unstable; urgency=low

  * New upstream release 

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 17 Feb 2005 12:22:19 +0100

dbus (0.23-1) unstable; urgency=low

  * New upstream release 
  * Disable the mono bindings for unstable untill mono goes into testing.

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 14 Jan 2005 15:22:20 +0100

dbus (0.22+cvs.20050104-1) experimental; urgency=low

  * CVS snapshot
  * Package the dbus mono bindings for i386, powerpc and s390. Mostly based on 
    patches from Edd Dumbill. (Closes: #260044)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed,  5 Jan 2005 18:20:47 +0100

dbus (0.22-4) unstable; urgency=low

  * Let the initscript check if the pid in the pidfile actually corresponds
    to a dbus daemon process (Closes: #285758)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed,  5 Jan 2005 16:55:45 +0100

dbus (0.22-3) unstable; urgency=medium



=== debian/control ===
Source: dbus
Section: devel
Priority: optional
Maintainer: D-Bus Maintainance Team <debian-dbus@fooishbar.org>
Uploaders: Daniel Stone <daniels@debian.org>, Daniel Silverstone <dsilvers@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: cdbs (>= 0.4.5.1), debhelper (>= 4.1.46), libglib2.0-dev, libexpat-dev, libxcursor-dev
Standards-Version: 3.6.1.0

Package: dbus-1
Architecture: any
Depends: ${shlibs:Depends}, adduser, debianutils, libexpat1
Conflicts: libdbus0
Replaces: libdbus0
Description: simple interprocess messaging system
 D-BUS is a message bus, used for sending messages between
 applications.  Conceptually, it fits somewhere in between raw sockets
 and CORBA in terms of complexity.
 .
 D-BUS supports broadcast messages, asynchronous messages (thus
 decreasing latency), authentication, and more.  It is designed to be
 low-overhead; messages are sent using a binary protocol, not using
 XML.  D-BUS also supports a method call mapping for its messages, but
 it is not required; this makes using the system quite simple.
 .
 D-BUS is still under heavy development, but is expected to be widely
 used.  It comes with several interfaces, including GLib.  See the
 description of dbus-glib-1 for more information about those.

Package: dbus-1-utils
Architecture: any
Section: utils
Depends: ${shlibs:Depends}
Replaces: dbus-1 (<< 0.20-4)
Description: simple interprocess messaging system (utilities)
 D-BUS is a message bus, used for sending messages between
 applications.  Conceptually, it fits somewhere in between raw sockets
 and CORBA in terms of complexity.
 .
 This package contains several D-BUS related utilities like
 dbus-launch and dbus-send.
 .
 See the dbus-1 description for more information about D-BUS in general.

Package: dbus-1-dev
Section: libdevel
Architecture: any
Depends: dbus-1 (= ${Source-Version}), pkg-config
Replaces: libdbus0-dev 
Description: simple interprocess messaging system (development headers)
 D-BUS is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 See the dbus-1 description for more information about D-BUS in general.

Package: dbus-glib-1-dev
Section: libdevel
Architecture: any
Depends: dbus-glib-1 (= ${Source-Version}), dbus-1-dev (= ${Source-Version}), libglib2.0-dev
Conflicts: libdbus-glib-dev
Replaces: libdbus-glib0-dev
Description: simple interprocess messaging system (GLib interface)
 D-BUS is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides a GLib-style interface to D-BUS.
 .
 See the dbus-1 description for more information about D-BUS in general.

Package: dbus-glib-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libdbus-glib0
Replaces: libdbus-glib0
Description: simple interprocess messaging system (GLib-based shared library)
 D-BUS is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides the GLib-based shared library for applications using the
 GLib interface to D-BUS.
 .
 See the dbus-1 description for more information about D-BUS in general.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright  2002,2003 Colin Walters <walters@verbum.org>
# Copyright  2003 Daniel Stone <daniels@debian.org>

binary/dbus-glib-1:: binary/dbus-1 
binary/dbus-1-utils:: binary/dbus-glib-1 
binary/python2.3-dbus::
	dh_python -ppython2.3-dbus

include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

#ifeq ($(DEB_BUILD_ARCH),powerpc)
# MONO_FLAGS=--enable-mono --enable-mono-docs
#endif
#ifeq ($(DEB_BUILD_ARCH),s390)
# MONO_FLAGS=--enable-mono --enable-mono-docs
#endif
#ifeq ($(DEB_BUILD_ARCH),i386)
# MONO_FLAGS=--enable-mono --enable-mono-docs
#endif
#
#
DEB_CONFIGURE_EXTRA_FLAGS := --enable-glib --disable-qt --disable-gtk \
                             --disable-python --with-xml=expat --disable-docs \
														 --disable-xml-docs --disable-doxygen-docs \
														 --disable-verbose-mode \
														 $(MONO_FLAGS)

DEB_SHLIBDEPS_INCLUDE_dbus-glib-1 := debian/dbus-1/usr/lib/
DEB_SHLIBDEPS_INCLUDE_dbus-1-utils := debian/dbus-1/usr/lib/ debian/dbus-glib-1/usr/lib/
DEB_SHLIBDEPS_INCLUDE_python2.3-dbus := debian/dbus-1/usr/lib/

DEB_DH_INSTALLINIT_ARGS := -r

# Strict library versioning
DEB_DH_MAKESHLIBS_ARGS_ALL := -V

#export MONO_SHARED_DIR=$(CURDIR)

#binary-predeb/libdbus-cil::
#	dh_netdeps
#	dh_makenetlibs -V

#common-configure-indep::
#	mkdir -p $(MONO_SHARED_DIR)/.wapi

common-configure-impl::
	chmod +x py-compile

binary-post-install/dbus-1-dev::
	rm -f debian/dbus-1-dev/usr/include/dbus*/dbus/dbus-glib.h

binary-post-install/dbus-1-utils::
	mkdir -p debian/dbus-1-utils/etc/X11/Xsession.d
	cp debian/dbus-Xsession debian/dbus-1-utils/etc/X11/Xsession.d/75dbus-1-utils_dbus-launch

binary-post-install/dbus-1::
	mkdir -p debian/dbus-1/etc/dbus-1/event.d

binary-post-install/libdbus-cil::
	 perl -pe 's,\$${exec_prefix}/lib,/usr/share/dotnet,;' \
 	  -i $(CURDIR)/debian/libdbus-cil/usr/lib/pkgconfig/dbus-sharp.pc
	mkdir -p $(CURDIR)/debian/libdbus-cil/usr/share/dotnet
	mv $(CURDIR)/debian/libdbus-cil/usr/lib/mono \
		$(CURDIR)/debian/libdbus-cil/usr/share/dotnet
	cd $(CURDIR)/debian/libdbus-cil && \
		find -type f -name "*.dll" -exec chmod -x {} \;

build/dbus-1-doc::
	doxygen Doxyfile

clean::
	rm -rf doc/api
#	rm -rf $(MONO_SHARED_DIR)/.wapi

## dbus 0.61-osso13fix

=== debian/changelog ===
dbus (0.61-osso13fix) experimental; urgency=low

  * Added packages for debug symbols. Fixes: NB#32668.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 20 Jun 2006 15:00:26 +0300

dbus (0.61-osso13) experimental; urgency=low

  * Another GArray leak plugged in dbus-gproxy.c (N#32479).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 13 Jun 2006 11:36:10 +0300

dbus (0.61-osso12) experimental; urgency=low

  * Added patch for a freedom-hating memory leak (N#32120).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 09 Jun 2006 11:20:48 +0300

dbus (0.61-osso11) experimental; urgency=low

  * Added messagebus user to the dialout group (N#29419).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 19 May 2006 14:18:24 +0300

dbus (0.61-osso10) experimental; urgency=low

  * Added support for compiling with thumb instructions (N#28905).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 16 May 2006 17:31:38 +0300

dbus (0.61-osso9) experimental; urgency=low

  * Fixed a leak in dbus_g_object_register_marshaller_array (N#28791).
  * Fixed a leak in DBusGProxyManager (N#28794).
  * Now ignoring SIGBUS as workaround for N#29189.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 11 May 2006 14:54:37 +0300

dbus (0.61-osso8) experimental; urgency=low

  * Added autogen.sh.
  * Added patch for memory leak in lookup_or_register_specialized() (N#28761).
  * Removed adduser dependency (N#25397).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 08 May 2006 11:26:57 +0300

dbus (0.61-osso7) experimental; urgency=low

  * Added patch for prioritising g_sources high. This is mainly because
    low-memory signals should be propagated as quickly as possible.
  * Added patch to fix leaking of pointer arrays in glib binding (N#28223)
    from Rob McQueen.
  * Added patch to fix leak in glib bindings signature generation (N#28222)
    from Rob McQueen.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Sat, 29 Apr 2006 15:05:42 +0300

dbus (0.61-osso6) experimental; urgency=low

  * Lintian fixes.
  * Removed dbus-launch because of X dependency (N#25295).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Sat, 22 Apr 2006 13:28:32 +0300

dbus (0.61-osso5) experimental; urgency=low

  * Session bus is using static address to avoid strange issue
    with lingering shell process (N#24573).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 18 Apr 2006 15:25:07 +0300

dbus (0.61-osso4) experimental; urgency=low

  * Using -5 priority again for the system bus.
  * Fixed the uname check.
  * Added DBus multi-threading initialisation to the client library (N#24277).
  * Added patch for GProxy destruction (N#26107).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 10 Apr 2006 11:20:53 +0300

dbus (0.61-osso3) experimental; urgency=low

  * Added dependency to libexpat1 to libdbus-glib-1-dev package.
  * Fixed a segfault in dbus-gproxy.c (N#24224).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 16 Mar 2006 17:51:12 +0200

dbus (0.61-osso2) experimental; urgency=low

  * Removed unnecessary patches 04, 11, and 12.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 03 Mar 2006 18:51:42 +0200

dbus (0.61-osso1) experimental; urgency=low

  * Upstream update to DBus v0.61.
  * Added legacy internal patches to debian/patches.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 02 Mar 2006 17:43:23 +0200

=== debian/control ===
Source: dbus
Section: devel
Priority: optional
Maintainer: D-Bus Maintenance Team <debian-dbus@fooishbar.org>
Uploaders: Daniel Stone <daniels@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: cdbs (>= 0.4.5.1), debhelper (>= 4.1.46), libglib2.0-dev, libexpat-dev | libexpat1-dev
Standards-Version: 3.6.1.0

Package: dbus
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libdbus0, dbus-1, dbus-1-utils (<< 0.50-2), libdbus-1-1
Replaces: libdbus0, dbus-1
Description: simple interprocess messaging system
 D-BUS is a message bus, used for sending messages between
 applications.  Conceptually, it fits somewhere in between raw sockets
 and CORBA in terms of complexity.
 .
 D-BUS supports broadcast messages, asynchronous messages (thus
 decreasing latency), authentication, and more.  It is designed to be
 low-overhead; messages are sent using a binary protocol, not using
 XML.  D-BUS also supports a method call mapping for its messages, but
 it is not required; this makes using the system quite simple.
 .
 D-BUS is still under heavy development, but is expected to be widely
 used.  It comes with several interfaces, including GLib.  See the
 description of dbus-glib-1 for more information about those.
 .
 This package contains the D-BUS daemon; the client-side library can
 be found in the libdbus-1-2 package, as it is no longer contained in
 this package.

Package: dbus-dbg
Section: devel
Priority: extra
Architecture: any
Depends: dbus (= ${Source-Version})
Description: Debug symbols for the DBus daemon
 Debug symbols for the DBus daemon.

Package: libdbus-1-2
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: dbus (<< 0.60)
Description: simple interprocess messaging system
 D-BUS is a message bus, used for sending messages between
 applications.  Conceptually, it fits somewhere in between raw sockets
 and CORBA in terms of complexity.
 .
 D-BUS supports broadcast messages, asynchronous messages (thus
 decreasing latency), authentication, and more.  It is designed to be
 low-overhead; messages are sent using a binary protocol, not using
 XML.  D-BUS also supports a method call mapping for its messages, but
 it is not required; this makes using the system quite simple.
 .
 D-BUS is still under heavy development, but is expected to be widely
 used.  It comes with several interfaces, including GLib.  See the
 description of libdbus-glib-1-2 for more information about those.
 .
 The daemon can be found in the dbus package.

Package: libdbus-1-2-dbg
Section: devel
Priority: extra
Architecture: any
Depends: libdbus-1-2 (= ${Source-Version})
Conflicts: dbus (<< 0.60)
Description: libdbus-1-2 debug symbols
 libdbus-1-2 debug symbols

Package: dbus-1-utils
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, dbus
Description: simple interprocess messaging system (utilities)
 D-BUS is a message bus, used for sending messages between
 applications.  Conceptually, it fits somewhere in between raw sockets
 and CORBA in terms of complexity.
 .
 This package contains several D-BUS related utilities like
 dbus-launch and dbus-send.
 .
 See the dbus description for more information about D-BUS in general.

Package: libdbus-1-dev
Section: devel
Architecture: any
Depends: libdbus-1-2 (= ${Source-Version}), pkg-config
Conflicts: dbus-1-dev
Replaces: libdbus0-dev, dbus-1-dev 
Description: simple interprocess messaging system (development headers)
 D-BUS is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 See the dbus description for more information about D-BUS in general.

Package: libdbus-glib-1-dev
Section: devel
Architecture: any
Depends: libdbus-glib-1-2 (= ${Source-Version}), libdbus-1-dev (= ${Source-Version}), libglib2.0-dev, libexpat1
Conflicts: libdbus-glib-dev, dbus-glib-1-dev, dbus-1-utils (<< 0.50-2)
Replaces: libdbus-glib0-dev, dbus-glib-1-dev
Description: simple interprocess messaging system (GLib interface)
 D-BUS is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides a GLib-style interface to D-BUS.
 .
 See the dbus description for more information about D-BUS in general.

Package: libdbus-glib-1-2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: simple interprocess messaging system (GLib-based shared library)
 D-BUS is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides the GLib-based shared library for applications using the
 GLib interface to D-BUS.
 .
 See the dbus description for more information about D-BUS in general.

Package: libdbus-glib-1-2-dbg
Section: devel
Priority: extra
Architecture: any
Depends: libdbus-glib-1-2 (= ${Source-Version})
Description: libdbus-glib-1-2 debug symbols
 libdbus-glib-1-2 debug symbols

=== debian/rules ===
#!/usr/bin/make -f
# Copyright  2002,2003 Colin Walters <walters@verbum.org>
# Copyright  2003 Daniel Stone <daniels@debian.org>

binary/libdbus-glib-1-2:: binary/libdbus-1-2
binary/libdbus-qt-1-1c2:: binary/libdbus-1-2
binary/dbus-1-utils:: binary/libdbus-glib-1-2
binary/python2.4-dbus::
	rm debian/python2.4-dbus/usr/lib/python2.4/site-packages/dbus/dbus_bindings.*a
#	dh_python -ppython2.4-dbus

include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

ifeq ($(DEB_BUILD_ARCH),powerpc)
 MONO_FLAGS=--enable-mono --enable-mono-docs
endif
ifeq ($(DEB_BUILD_ARCH),amd64)
 MONO_FLAGS=--enable-mono --enable-mono-docs
endif
ifeq ($(DEB_BUILD_ARCH),i386)
 MONO_FLAGS=--disable-mono --disable-mono-docs
endif
 
# Use soft-float and thumb mode if it is enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
 CFLAGS += -mthumb
endif

DEB_CONFIGURE_SCRIPT_ENV += PYTHON=/usr/bin/python2.4
DEB_CONFIGURE_EXTRA_FLAGS := CFLAGS="$(CFLAGS)" --enable-glib --disable-gtk \
                             --disable-verbose-mode \
                             --disable-qt3 --with-qt3-moc=/usr/bin/moc-qt3 \
                             --disable-qt --with-qt-moc=/usr/bin/moc-qt4 \
                             --disable-python --with-xml=expat --disable-docs \
                             --disable-xml-docs --disable-doxygen-docs \
                             $(MONO_FLAGS)

DEB_SHLIBDEPS_INCLUDE_libdbus-glib-1-2 := debian/libdbus-1-2/usr/lib/
DEB_SHLIBDEPS_INCLUDE_dbus-1-utils := debian/libdbus-1-2/usr/lib/ debian/dbus-gl
DEB_SHLIBDEPS_INCLUDE_libdbus-qt-1-1c2 := debian/libdbus-1-2/usr/lib/
DEB_SHLIBDEPS_INCLUDE_libdbus-qt4-1-1 := debian/libdbus-1-2/usr/lib/
DEB_SHLIBDEPS_INCLUDE_python2.4-dbus := debian/libdbus-1-2/usr/lib/

DEB_DH_STRIP_ARGS := --dbg-package=dbus --dbg-package=libdbus-1-2 \
                     --dbg-package=libdbus-glib-1-2

# Strict library versioning
DEB_DH_MAKESHLIBS_ARGS_ALL := -V

export MONO_SHARED_DIR=$(CURDIR)

binary-predeb/libdbus-1-cil::
	dh_makeclilibs -V
	dh_clideps

common-configure-indep::
	mkdir -p $(MONO_SHARED_DIR)/.wapi

common-configure-impl::
	chmod +x py-compile

binary-post-install/libdbus-1-dev::
	rm -f debian/libdbus-1-dev/usr/include/dbus*/dbus/dbus-glib.h
	rm -f debian/libdbus-1-dev/usr/include/dbus*/dbus/dbus-qt.h

binary-post-install/dbus::
	mkdir -p debian/dbus/etc/dbus-1/event.d
	mkdir -p debian/dbus/etc/X11/Xsession.d
	cp debian/dbus-Xsession debian/dbus/etc/X11/Xsession.d/75dbus_dbus-launch

binary-post-install/libdbus-1-cil::
	cd $(CURDIR)/debian/libdbus-1-cil && \
		find -type f -name "*.dll" -exec chmod -x {} \;

build/dbus-1-doc::
	doxygen Doxyfile

clean::
	rm -rf doc/api
	rm -rf $(MONO_SHARED_DIR)/.wapi
	rm -f config.guess.cdbs-orig
	rm -f config.sub.cdbs-orig
